// MDXWin Constructor

unit _WinPosConst;

interface

uses
  SysUtils,Types,Graphics,_PicTools;

var
  SpeFlamePos,NetPrgPos:TWindowPos;
  NotePos,SpePos,VelPos,ParaPos:TWindowPos;

var
  NoteBM,NoteBGBM:TBitmap;
  NotePtr,NoteBGPtr: array[0..271] of PRGBArray;
  SpeBM,SpeBGBM:TBitmap;
  SpePtr,SpeBGPtr: array[0..64] of PRGBArray;
  VelBM:TBitmap;
  VelPtr: array[0..64] of PRGBArray;
  ParaBM,ParaBGBM:TBitmap;
  ParaPtr,ParaBGPtr: array[0..32] of PRGBArray;

implementation

var
  y:integer;

initialization
  with NetPrgPos do begin
    Left:=16;
    Top:=220;
    Width:=400;
    Height:=64;
  end;

  with SpeFlamePos do begin
    Left:=293;
    Top:=112;
    Width:=50;
    Height:=89;
  end;

  with NotePos do begin
    Left:=7;
    Top:=24;
    Width:=282;
    Height:=272;
  end;

  with SpePos do begin
    Left:=347;
    Top:=116;
    Width:=288;
    Height:=64;
  end;

  with VelPos do begin
    Left:=347;
    Top:=196;
    Width:=288;
    Height:=64;
  end;

  with ParaPos do begin
    Left:=347;
    Top:=260;
    Width:=288;
    Height:=32;
  end;

  NoteBM:=TBitmap.Create;
  MakeBlankBM(NoteBM,NotePos.Width,NotePos.Height,pf24bit);
  for y:=0 to NotePos.Height-1 do begin
    NotePtr[y]:=NoteBM.ScanLine[y];
  end;

  NoteBGBM:=TBitmap.Create;
  MakeBlankBM(NoteBGBM,NotePos.Width,NotePos.Height,pf24bit);
  for y:=0 to NotePos.Height-1 do begin
    NoteBGPtr[y]:=NoteBGBM.ScanLine[y];
  end;

  SpeBM:=TBitmap.Create;
  MakeBlankBM(SpeBM,SpePos.Width,SpePos.Height,pf24bit);
  for y:=0 to SpePos.Height-1 do begin
    SpePtr[y]:=SpeBM.ScanLine[y];
  end;

  SpeBGBM:=TBitmap.Create;
  MakeBlankBM(SpeBGBM,SpePos.Width,SpePos.Height,pf24bit);
  for y:=0 to SpePos.Height-1 do begin
    SpeBGPtr[y]:=SpeBGBM.ScanLine[y];
  end;

  VelBM:=TBitmap.Create;
  MakeBlankBM(VelBM,VelPos.Width,VelPos.Height,pf24bit);
  for y:=0 to VelPos.Height-1 do begin
    VelPtr[y]:=VelBM.ScanLine[y];
  end;

  ParaBM:=TBitmap.Create;
  MakeBlankBM(ParaBM,ParaPos.Width,ParaPos.Height,pf24bit);
  for y:=0 to ParaPos.Height-1 do begin
    ParaPtr[y]:=ParaBM.ScanLine[y];
  end;

  ParaBGBM:=TBitmap.Create;
  MakeBlankBM(ParaBGBM,ParaPos.Width,ParaPos.Height,pf24bit);
  for y:=0 to ParaPos.Height-1 do begin
    ParaBGPtr[y]:=ParaBGBM.ScanLine[y];
  end;

finalization
  NoteBM.Free;
  NoteBGBM.Free;
  SpeBM.Free;
  SpeBGBM.Free;
  VelBM.Free;
  ParaBM.Free;
  ParaBGBM.Free;

end.



